﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;
using Infragistics.Win.UltraWinSchedule;
using Infragistics.Win;
using Infragistics.Win.UltraWinToolTip;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsGantt
{
    public partial class Form1 : Form
    {
      
        public Form1()
        {
            InitializeComponent();
        }

       
        private void Form1_Load(object sender, EventArgs e)
        {

            FillCombo();
            DBDataSet.Clear();
            dbTasksTableAdapter.ClearBeforeFill = true;
            dbProjectsTableAdapter.ClearBeforeFill = true;

            //Fill DataSet
            dbProjectsTableAdapter.Fill(DBDataSet.dbProjects);
            dbTasksTableAdapter.Fill(DBDataSet.dbTasks);


            ultraCalendarInfo1.DataBindingsForProjects.BindingContextControl = this;
            ultraCalendarInfo1.DataBindingsForTasks.BindingContextControl = this;


            ////  Set the DataBinding members for Projects 
            ultraCalendarInfo1.DataBindingsForProjects.DataSource = DBDataSet.dbProjects;

            ultraCalendarInfo1.DataBindingsForProjects.IdMember = "ProjectID";
            ultraCalendarInfo1.DataBindingsForProjects.KeyMember = "Id";
            ultraCalendarInfo1.DataBindingsForProjects.NameMember = "ProjectName";
            ultraCalendarInfo1.DataBindingsForProjects.StartDateMember = "ProjectStartTime";
            


            //  Set the DataBinding members for Tasks
            ultraCalendarInfo1.DataBindingsForTasks.DataSource = DBDataSet.dbTasks;


            // Basic Task properties 
            ultraCalendarInfo1.DataBindingsForTasks.NameMember = "TaskName";
            ultraCalendarInfo1.DataBindingsForTasks.DurationMember = "TaskDuration3";
            ultraCalendarInfo1.DataBindingsForTasks.StartDateTimeMember = "TaskStartTime";

            ultraCalendarInfo1.DataBindingsForTasks.IdMember = "TaskID";
            ultraCalendarInfo1.DataBindingsForTasks.ProjectKeyMember = "ProjectKey";
            ultraCalendarInfo1.DataBindingsForTasks.ParentTaskIdMember = "ParentTaskID";
            ultraCalendarInfo1.DataBindingsForTasks.PercentCompleteMember = "TaskPercentComplete";
            ultraCalendarInfo1.DataBindingsForTasks.AllPropertiesMember = "AllProperties";

            ultraGanttView1.CalendarInfo = ultraCalendarInfo1;
            int a = ultraComboEditor1.SelectedIndex;
            //Choose which project to be show in the GanntView
            ultraGanttView1.Project = this.ultraGanttView1.CalendarInfo.Projects[a];
        }

        private void FillCombo()
        {
            dbProjectsTableAdapter.Fill(DBDataSet.dbProjects);
            ultraComboEditor1.DataSource = DBDataSet.dbProjects;
            ultraComboEditor1.DisplayMember = "ProjectName";
            ultraComboEditor1.ValueMember = "Id";
            ultraComboEditor1.SelectedIndex = 0;
            ultraComboEditor1.Items[0].DisplayText = "--- Select ---";
        }

        private void button2_Click(object sender, EventArgs e)
        {
            try
            {
                dbProjectsTableAdapter.Update(DBDataSet.dbProjects);
                dbTasksTableAdapter.Update(DBDataSet.dbTasks);
            }
            catch(Exception ex)
            {
                MessageBox.Show(ex.Message);
            }

        }

        private void btnAddNotes_Click(object sender, EventArgs e)
        {

        }

        private void ultraComboEditor1_ValueChanged(object sender, EventArgs e)
        {
            int a = ultraComboEditor1.SelectedIndex;
            ultraGanttView1.Project = this.ultraGanttView1.CalendarInfo.Projects[a];
        }

      

       
    }
}
